function dYfuncvecdt = ODEfun(t,Yfuncvec); 
a= Yfuncvec(1);
Ca= Yfuncvec(2);
% Explicit equations
kd = 9;
Ca0 = .8;
tau = .02;
Ct0 = 1;
k = 45;
yao = Ca0/Ct0;
X = 1-(1+yao)/(1+Ca/Ct0)*Ca/Ca0;
% Differential equations
dadt = -kd*a*Ca;
dCadt = Ca0/tau-((1+yao)/(1+Ca/Ct0)+tau*a*k)*Ca/tau;
dYfuncvecdt=[dadt;dCadt];


